<template>
  <section class="container">
    <h1 class="title">
      Connect with the data server on http://localhost:2222/son_dk
    </h1>
    
    <ul>
      <li v-for="item in item_list">
        <router-link :to="'detaylar/'+item.slug">{{item.title}}</router-link></li>
    </ul>
    <router-link class="button" to="/about">
      About page aaa
    </router-link>
    <!--{{message}}-->
  </section>
</template>

<script>
// import { apiRoutes } from 'api/routes'
import axios from 'axios'
const api = 'http://localhost:2222/son_dk/'

export default {
  data () {
    return axios.get(api)
      .then(res => ({item_list: res.data}))
  }
    // data () { return Promise.resolve({message: `I'am a message bitsch`}) }
    // normal promise version
}

</script>
<style scoped>
.title
{
  margin: 50px 0;
}
</style>
